#ifndef HAPLINK_PWM_H_
#define HAPLINK_PWM_H_

/* Includes ------------------------------------------------------------------*/
#include "stm32f4xx_mort2.h"
#include "stm32f4xx_adc_mort.h"
#include "stm32f4xx_gpio_mort.h"
#include "stm32f4xx_dma_mort.h"
#include "stm32f4xx_rcc_mort.h"
#include "stm32f4xx_tim_mort.h"

#define PERIOD                  665

void outputTorqueMotor1(double torque);
void outputTorqueMotor2(double torque);
void pwmGpioConfig(void);
void initHaplinkPwm( void );
void updateDutyCycle1( double newDuty );
void updateDutyCycle2( double newDuty );
void updateDutyCycle3( double newDuty );
void updateDutyCycle4( double newDuty );

#endif 
//EOF
