/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __HAPLINK_ADC_H_
#define __HAPLINK_ADC_H_

/* Includes ------------------------------------------------------------------*/
#include "stm32f4xx_mort2.h"
#include "stm32f4xx_adc_mort.h"
#include "stm32f4xx_gpio_mort.h"
#include "stm32f4xx_dma_mort.h"
#include "stm32f4xx_rcc_mort.h"



  #define ADC_CCR_ADDRESS    ((uint32_t)0x40012308)

int haplink_adc_init( void );
void haplink_adc_start( void );
uint16_t get_adc1_val( void );
uint16_t get_adc2_val( void );

#endif /* __HAPLINK_ADC_H_ */
//EOF
