/*************************************************
Haplink main.h: This program supports both
Haplink and Hapkit devices. Comment and uncomment
the lines that are indicated depending on which device 
you will use. 
This file also defines your initi position for Paddle 2.
**************************************************/

#ifndef _MAIN_H_
#define _MAIN_H_

    //comment out which device you are not using:
    #define HAPKIT          1
    //#define HAPLINK         2
    
    //comment out whether you are using encoders or magnetoresistive:
    #define ENCODERS            1
    //#define MAGNETORESISTIVE    2
    
    #define THETA_B_OFFSET   -40.0   //the theta B offset you want to start with in degrees

#endif
